=== debian/changelog ===
bomi (0.9.11mx15+1) mx; urgency=low

  * Repackaged for MX-15 / MX-16

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Sun, 22 Jan 2017 09:16:28 -0500

bomi (0.9.11ppa1~trusty1) trusty; urgency=low

  * upstream release

 -- Byoung-young Lee (xylosper) <darklin20@gmail.com>  Wed, 20 May 2015 18:35:37 +0900
