=== debian/control ===
Source: bomi
Section: graphics
Priority: optional
Maintainer: Byoung-young Lee (xylosper) <darklin20@gmail.com>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), pkg-config
 , qt5-qmake, qttools5-dev-tools, qtbase5-dev (>= 5.2.0), qtdeclarative5-dev
 , libqt5x11extras5-dev, libqt5svg5-dev, python, libbluray-dev
 , libass-dev, libenca-dev, libfontconfig1-dev, libfreetype6-dev, libfribidi-dev, libharfbuzz-dev
 , yasm, zlib1g-dev, libx11-dev, libdvdread-dev, libdvdnav-dev
 , libcdio-dev, libcdio-paranoia-dev, libcdio-cdda-dev
 , libasound2-dev, libva-dev, libvdpau-dev, libchardet
 , libbz2-dev, libjack-dev, libavfilter-dev, libmpv-dev
 , libpulse-dev, libxcb-icccm4-dev, libgnutls28-dev, libsmbclient-dev
 , libxcb-util0-dev, libxcb-randr0-dev, libxcb-screensaver0-dev
 , libxcb-xtest0-dev, libsmbclient-dev, qt5-default, ffmpeg, libx264-dev, libvorbis-dev, libvpx-dev, libmp3lame-dev, g++-4.9

Package: bomi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 , libqt5svg5, libqt5sql5-sqlite, qml-module-qtquick2, qml-module-qtquick-controls, qml-module-qtquick-layouts
Recommends: youtube-dl
Conflicts: cmplayer
Description: bomi - a multimedia player
 bomi is a multimedia player.
