=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_install:
	make DEST_DIR=debian/bomi install

override_dh_shlibdeps:
	dh_shlibdeps -- --ignore-missing-info
