## bomi 0.9.11mx19

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 install_exe := install -m 755
 install_dir := install -d -m 755
 install_all := sh install_dir.sh
-pkg_config_path := /home/tim/bomi/bomi-0.9.11/build/lib/pkgconfig:/opt/ffmpeg-bomi/lib/pkgconfig:/opt/libass-bomi/lib/pkgconfig:
+pkg_config_path := /home/tim/bomi/bomi-master/build/lib/pkgconfig:/opt/ffmpeg-bomi/lib/pkgconfig:/opt/libass-bomi/lib/pkgconfig:
 
 prefix := /usr
 qmake := qmake -spec linux-g++ BOMI_RELEASE=1
