=== debian/changelog ===
bomi (0.9.11mx19) mx; urgency=medium

  * Forward port for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 06 Jun 2020 13:39:08 -0400
