=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  , yasm, zlib1g-dev, libx11-dev, libdvdread-dev, libdvdnav-dev
  , libcdio-dev, libcdio-paranoia-dev, libcdio-cdda-dev
  , libasound2-dev, libva-dev, libvdpau-dev, libchardet
- , libbz2-dev, libjack-dev, libavfilter-dev, libmpv-dev
+ , libbz2-dev, libjack-jackd2-dev, libavfilter-dev, libmpv-dev
  , libpulse-dev, libxcb-icccm4-dev, libgnutls28-dev, libsmbclient-dev
  , libxcb-util0-dev, libxcb-randr0-dev, libxcb-screensaver0-dev
- , libxcb-xtest0-dev, libsmbclient-dev, qt5-default, ffmpeg, libx264-dev, libvorbis-dev, libvpx-dev, libmp3lame-dev, g++-4.9
+ , libxcb-xtest0-dev, libsmbclient-dev, qt5-default, ffmpeg, libx264-dev, libvorbis-dev, libvpx-dev, libmp3lame-dev, g++-8
 
 Package: bomi
 Architecture: any
