=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr
-
+	
 override_dh_auto_install:
 	make DEST_DIR=debian/bomi install
